Bug 1430843 - LuxRender 1.6-8 %post and %postun scriptlet errors
Summary: LuxRender 1.6-8 %post and %postun scriptlet errors
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: LuxRender
Version: 25
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-09 17:12 UTC by Edgar Hoch
Modified: 2017-03-23 18:21 UTC (History)
5 users (show)

Fixed In Version: LuxRender-1.6-11.fc24 LuxRender-1.6-11.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 17:20:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Edgar Hoch 2017-03-09 17:12:04 UTC
Description of problem:

Package LuxRender-1.6-8.fc25.x86_64 contains %post and %postun scriptlet code which creates errors. It should be fixed because it breaks kickstart installation which wants to install this package. Kickstart stops with this message:

DNF error: Non-fatal POSTIN scriptlet failure in rpm package LuxRender


See:

# rpm -q --scripts LuxRender
postinstall scriptlet (using /bin/sh):
/bin/touch --no-create /usr/share/icons/hicolor &> /dev/null || :
lib -p /sbin/ldconfig
postuninstall scriptlet (using /bin/sh):
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create /usr/share/icons/hicolor &> /dev/null || :
    /usr/bin/gtk-update-icon-cache /usr/share/icons/hicolor &> /dev/null || :
lib -p /sbin/ldconfig


First:

Both scriptlets contain the following line. But there exists not program "lib" in $PATH - even on a Fedora 25 system with many (about 15000) packages installed. So - which program was intended to run?

lib -p /sbin/ldconfig


Second:

There is a syntax error in postuninstall scriptlet.
The if clause is not closed by fi.



Version-Release number of selected component (if applicable):
LuxRender-1.6-8.fc25.x86_64

How reproducible:
Always

Steps to Reproduce:
1. dnf -v -y install LuxRender
2. dnf -v -y remove LuxRender


Actual results:
Error messages - see above.

Step 1:
Error message:

/var/tmp/rpm-tmp.1EZ8vb: line 2: lib: command not found
warning: %post(LuxRender-1.6-8.fc25.x86_64) scriptlet failed, exit status 127
Non-fatal POSTIN scriptlet failure in rpm package LuxRender
Non-fatal POSTIN scriptlet failure in rpm package LuxRender

Step 2:
Error message:

/var/tmp/rpm-tmp.NwooUs: line 5: syntax error: unexpected end of file
warning: %postun(LuxRender-1.6-8.fc25.x86_64) scriptlet failed, exit status 2
Non-fatal POSTUN scriptlet failure in rpm package LuxRender
Non-fatal POSTUN scriptlet failure in rpm package LuxRender


Expected results:
No error messages.

Additional info:
This breaks kickstart installation too,
when this package is included in the package list,
for example using

@design-suite --optional

Kickstart installation stops with this error:

DNF error: Non-fatal POSTIN scriptlet failure in rpm package LuxRender

Comment 1 Luya Tshimbalanga 2017-03-10 20:18:33 UTC
Hi Edgar,
Could you test the scratch build below?
https://koji.fedoraproject.org/koji/taskinfo?taskID=18307562

Comment 2 Edgar Hoch 2017-03-10 21:12:54 UTC
Hi Luya,

I have installed and removed the packages from your koji build.
Now now error occurs. This packages fixes the problem.
Thanks!

  LuxRender.x86_64 1.6-11.fc25
  LuxRender-core.x86_64 1.6-11.fc25
  LuxRender-lib.x86_64 1.6-11.fc25

Comment 3 Fedora Update System 2017-03-11 07:44:12 UTC
LuxRender-1.6-11.fc25 YafaRay-3.2.0-0.6.20170221git.fc25 blender-2.78c-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 4 Fedora Update System 2017-03-11 07:46:47 UTC
LuxRender-1.6-11.fc24 YafaRay-3.2.0-0.6.20170221git.fc24 blender-2.78c-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 5 Fedora Update System 2017-03-11 07:46:54 UTC
LuxRender-1.6-11.fc24 YafaRay-3.2.0-0.6.20170221git.fc24 blender-2.78c-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 6 Fedora Update System 2017-03-11 14:24:45 UTC
LuxRender-1.6-11.fc25, YafaRay-3.2.0-0.6.20170221git.fc25, blender-2.78c-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 7 Fedora Update System 2017-03-13 00:20:53 UTC
LuxRender-1.6-11.fc24, YafaRay-3.2.0-0.6.20170221git.fc24, blender-2.78c-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 8 Fedora Update System 2017-03-15 01:30:01 UTC
LuxRender-1.6-11.fc25 YafaRay-3.2.0-0.6.20170221git.fc25 blender-2.78c-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 9 Fedora Update System 2017-03-15 01:31:37 UTC
LuxRender-1.6-11.fc24 YafaRay-3.2.0-0.6.20170221git.fc24 blender-2.78c-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 10 Fedora Update System 2017-03-15 19:55:34 UTC
LuxRender-1.6-11.fc24, YafaRay-3.2.0-0.6.20170221git.fc24, blender-2.78c-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eb813704bd

Comment 11 Fedora Update System 2017-03-15 19:57:24 UTC
LuxRender-1.6-11.fc25, YafaRay-3.2.0-0.6.20170221git.fc25, blender-2.78c-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ac6c25236a

Comment 12 Fedora Update System 2017-03-23 17:20:50 UTC
LuxRender-1.6-11.fc24, YafaRay-3.2.0-0.6.20170221git.fc24, blender-2.78c-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-03-23 18:21:19 UTC
LuxRender-1.6-11.fc25, YafaRay-3.2.0-0.6.20170221git.fc25, blender-2.78c-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.